List workspace-platform-level suppressions
GET
/workspaces/{workspaceId}/suppressions
Retrieve a list of all workspace-platform-level suppressions
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
platformType
string
The type of the platform.
Possible values: sms, email, whatsapp, rcs
withMarketingSuppressed
boolean
Include contacts that are suppressed for marketing.
withTransactionsSuppressed
boolean
Include contacts that are suppressed for transactional.
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.platformId
string
obligatoire
Possible values: apple-business-chat, chat, email-sparkpost, facebook-messenger, google-business-messages, instagram, line, linkedin, push-notifications, rcs-google, sms-messagebird, sms-twilio, telegram, tiktok, viber, voice-messagebird, wechat, whatsapp
results.platformType
string
Possible values: sms, email, whatsapp, rcs
results.identifierValue
string
obligatoire
results.suppressedForOriginators
array of object
List of channel identifiers that this suppression was created for. When this field is absent, the suppression is global to the workspace-recipient tuple.
Afficher les attributs enfants
results.suppressedForOriginators.channelIdentifier
string
obligatoire
results.suppressedFor
object
obligatoire
Afficher les attributs enfants
results.suppressedFor.marketing
boolean
obligatoire
results.suppressedFor.transactional
boolean
obligatoire
results.reasons
object
obligatoire
Afficher les attributs enfants
results.reasons.marketing
string
Possible values: unknown, unsubscribed, spam_complaint, email_bounced, email_invalid, phone_invalid, phone_invalid_unknown_subscriber, manually_suppressed, imported
results.reasons.transactional
string
Possible values: unknown, unsubscribed, spam_complaint, email_bounced, email_invalid, phone_invalid, phone_invalid_unknown_subscriber, manually_suppressed, imported
results.contactSuppressedMarketingAt
string
results.contactSuppressedMarketingReason
string
results.contactSuppressedTransactionalAt
string
results.contactSuppressedTransactionalReason
string
results.marketerSuppressedMarketingAt
string
results.marketerSuppressedMarketingReason
string
results.marketerSuppressedTransactionalAt
string
results.marketerSuppressedTransactionalReason
string
results.contactSuppressedMarketingSourceMessageId
string
ID of the message that caused this contact marketing suppression.
results.contactSuppressedMarketingRawReason
string
Raw SMTP/provider error string for this contact marketing suppression.
results.contactSuppressedTransactionalSourceMessageId
string
ID of the message that caused this contact transactional suppression.
results.contactSuppressedTransactionalRawReason
string
Raw SMTP/provider error string for this contact transactional suppression.
results.marketerSuppressedMarketingSourceMessageId
string
ID of the message that caused this marketer marketing suppression.
results.marketerSuppressedMarketingRawReason
string
Raw SMTP/provider error string for this marketer marketing suppression.
results.marketerSuppressedTransactionalSourceMessageId
string
ID of the message that caused this marketer transactional suppression.
results.marketerSuppressedTransactionalRawReason
string
Raw SMTP/provider error string for this marketer transactional suppression.
results.contact
object
Afficher les attributs enfants
results.contact.accountIds
array of string
The list of account ids for the contact.
results.contact.attributes
object
A map of key-value pairs, where the values are boolean, number, or string, or
a non-empty array of those, or null
results.contact.companyRefs
array of string
The list of company references for the contact.
results.contact.computedDisplayName
string
The computed display name for the contact. It can be derived, in the following order if available,
from the displayName attribute, the firstName attribute, the emailaddress identifier,
or the phonenumber identifier.
results.contact.createdAt
string
obligatoire
results.contact.featuredIdentifiers
array of object
The list of identifiers for the contact.
Afficher les attributs enfants
results.contact.featuredIdentifiers.key
string
obligatoire
The identifier key. This can be from your custom identifier key or one of the built-in keys.
results.contact.featuredIdentifiers.value
string
obligatoire
The identifier value. This represents the actual value for the identifier.
results.contact.id
string
obligatoire
The unique identifier for the contact.
results.contact.identifierCount
integer
The number of identifiers for the contact.
results.contact.isAnonymous
boolean
Whether the contact is anonymous. A contact is anonymous if it has no identifiers,
or only has visitorid identifiers.
results.contact.listIds
array of string
The list of list ids for the contact.
results.contact.updatedAt
string
obligatoire
results.contact.workspaceId
string
Your workspace identifier.
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/suppressions' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'